org.apache.tamaya.integration.spring

## Class TamayaEnvironment

- java.lang.Object
- - org.springframework.core.env.AbstractEnvironment
  - - org.springframework.core.env.StandardEnvironment
    - - org.apache.tamaya.integration.spring.TamayaEnvironment

- All Implemented Interfaces:
    org.springframework.core.env.ConfigurableEnvironment, org.springframework.core.env.ConfigurablePropertyResolver, org.springframework.core.env.Environment, org.springframework.core.env.PropertyResolver

      public class TamayaEnvironment
      extends org.springframework.core.env.StandardEnvironment

  Tamaya specific environment for Spring.

- - ### Field Summary

    - ### Fields inherited from class org.springframework.core.env.StandardEnvironment

      `SYSTEM_ENVIRONMENT_PROPERTY_SOURCE_NAME, SYSTEM_PROPERTIES_PROPERTY_SOURCE_NAME`

    - ### Fields inherited from class org.springframework.core.env.AbstractEnvironment

      `ACTIVE_PROFILES_PROPERTY_NAME, DEFAULT_PROFILES_PROPERTY_NAME, IGNORE_GETENV_PROPERTY_NAME, logger, RESERVED_DEFAULT_PROFILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TamayaEnvironment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `customizePropertySources(org.springframework.core.env.MutablePropertySources propertySources)`

    - ### Methods inherited from class org.springframework.core.env.AbstractEnvironment

      `acceptsProfiles, addActiveProfile, containsProperty, doGetActiveProfiles, doGetDefaultProfiles, getActiveProfiles, getConversionService, getDefaultProfiles, getProperty, getProperty, getProperty, getProperty, getPropertyAsClass, getPropertySources, getRequiredProperty, getRequiredProperty, getReservedDefaultProfiles, getSystemEnvironment, getSystemProperties, isProfileActive, merge, resolvePlaceholders, resolveRequiredPlaceholders, setActiveProfiles, setConversionService, setDefaultProfiles, setIgnoreUnresolvableNestedPlaceholders, setPlaceholderPrefix, setPlaceholderSuffix, setRequiredProperties, setValueSeparator, suppressGetenvAccess, toString, validateProfile, validateRequiredProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TamayaEnvironment

          public TamayaEnvironment()

  - ### Method Detail

    - #### customizePropertySources

          protected void customizePropertySources(org.springframework.core.env.MutablePropertySources propertySources)

      Overrides:
        `customizePropertySources` in class `org.springframework.core.env.StandardEnvironment`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.